<!DOCTYPE html>
<html> 
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf8">
	<title>Laden: Alle Artikel ausgeben</title> 
</head>
<STYLE TYPE="text/css">
	body th, td
	{
		font-family:Arial, sans-serif;
	}
</STYLE>
<body>
<?php

	const TAB_border 			= 3;
	const TAB_cellpadding 		= 2;
	const TAB_cellspacing 		= 0;
	const TAB_Color		 		= 'lightgrey';
	const _ERROR_TEXT_1 		= 'Abwendungsfehler in ';

	const showSQL = 1;

	// Verbindung zur Datenbank, sie liegt lokalauf dem Rechner, User ist root, Passwort ist nicht definiert, Name der Datenbank ist hier datenbank
	$conn = new mysqli( 'localhost', 'root','', 'erstedatenbank' );

	if ($conn->connect_error) {
		printf("Verbindungsfehler: %s\n", $conn->connect_error);
		exit();
	}

	// Bei Umlauten ist der korrekte Zeichensatz dringend notwendig!
	$sql_r = $conn->query("SET NAMES 'utf8'");
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
		
	// die eigentliche Queries
	$sql  = "SELECT artikel as Ar, haendler as H, preis as P FROM LADEN";
		 
	$sql_r = $conn->query($sql); 
	// Abfrage auf einen Fehler - und wenn wird das Script beendet und der Fehler mitgeteilt	
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	// Das SQL-Statement kann auch ausgegeben werden	
	if (showSQL) echo '<br><b>' . $sql . '</b><p>';
	
	$tab = '<table border="'.TAB_border.'" cellpadding="'.TAB_cellpadding.'" cellspacing="'.TAB_cellspacing.'" style="BACKGROUND-COLOR:'.TAB_Color.'">';
	$tabClose = '</table><p>';	// Das Ergebnis der Query wird in Tabellenform ausgegeben	
	echo $tab;
	for ($row=0;$sql_row = $sql_r->fetch_array(MYSQLI_ASSOC);$row++) 
	{								
		if (!$row)
		{
			echo '<tr>';
			foreach ($sql_row as $key => $value) 
					echo '<th>'.$key.'</th>'; 
			echo '</tr>';
		}
		echo '<tr>';
		foreach ($sql_row as $value) 
			echo '<td>'.$value.'</td>'; 
		echo '</tr>';

	}
	if (!$row) echo $tab.'<tr><th>No record found</th></tr>'; 
	echo $tabClose.'<p>';		
	
	// Die Verbindung zur Datenbank wird beendet	
	$conn->close();


?>

 </body>
</html>